Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.0.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
252.0.0.0
Broadcast address
252.31.255.255
First usable
252.0.0.1
Last usable
252.31.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC000000 · Integer 4227858432 to 4229955583
Reverse DNS zones
0.252.in-addr.arpa
1.252.in-addr.arpa
2.252.in-addr.arpa
3.252.in-addr.arpa
4.252.in-addr.arpa
5.252.in-addr.arpa
6.252.in-addr.arpa
7.252.in-addr.arpa
8.252.in-addr.arpa
9.252.in-addr.arpa
10.252.in-addr.arpa
11.252.in-addr.arpa
12.252.in-addr.arpa
13.252.in-addr.arpa
14.252.in-addr.arpa
15.252.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00000000.00000000.00000000252.0.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11111100.00000000.00000000.00000000252.0.0.0
Broadcast11111100.00011111.11111111.11111111252.31.255.255
Split into smaller subnets/23

252.0.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.0.0.0/23252.0.0.1 to 252.0.1.254252.0.1.255510
2252.0.2.0/23252.0.2.1 to 252.0.3.254252.0.3.255510
3252.0.4.0/23252.0.4.1 to 252.0.5.254252.0.5.255510
4252.0.6.0/23252.0.6.1 to 252.0.7.254252.0.7.255510
5252.0.8.0/23252.0.8.1 to 252.0.9.254252.0.9.255510
6252.0.10.0/23252.0.10.1 to 252.0.11.254252.0.11.255510
7252.0.12.0/23252.0.12.1 to 252.0.13.254252.0.13.255510
8252.0.14.0/23252.0.14.1 to 252.0.15.254252.0.15.255510
9252.0.16.0/23252.0.16.1 to 252.0.17.254252.0.17.255510
10252.0.18.0/23252.0.18.1 to 252.0.19.254252.0.19.255510
11252.0.20.0/23252.0.20.1 to 252.0.21.254252.0.21.255510
12252.0.22.0/23252.0.22.1 to 252.0.23.254252.0.23.255510
13252.0.24.0/23252.0.24.1 to 252.0.25.254252.0.25.255510
14252.0.26.0/23252.0.26.1 to 252.0.27.254252.0.27.255510
15252.0.28.0/23252.0.28.1 to 252.0.29.254252.0.29.255510
16252.0.30.0/23252.0.30.1 to 252.0.31.254252.0.31.255510
17252.0.32.0/23252.0.32.1 to 252.0.33.254252.0.33.255510
18252.0.34.0/23252.0.34.1 to 252.0.35.254252.0.35.255510
19252.0.36.0/23252.0.36.1 to 252.0.37.254252.0.37.255510
20252.0.38.0/23252.0.38.1 to 252.0.39.254252.0.39.255510
21252.0.40.0/23252.0.40.1 to 252.0.41.254252.0.41.255510
22252.0.42.0/23252.0.42.1 to 252.0.43.254252.0.43.255510
23252.0.44.0/23252.0.44.1 to 252.0.45.254252.0.45.255510
24252.0.46.0/23252.0.46.1 to 252.0.47.254252.0.47.255510
25252.0.48.0/23252.0.48.1 to 252.0.49.254252.0.49.255510
26252.0.50.0/23252.0.50.1 to 252.0.51.254252.0.51.255510
27252.0.52.0/23252.0.52.1 to 252.0.53.254252.0.53.255510
28252.0.54.0/23252.0.54.1 to 252.0.55.254252.0.55.255510
29252.0.56.0/23252.0.56.1 to 252.0.57.254252.0.57.255510
30252.0.58.0/23252.0.58.1 to 252.0.59.254252.0.59.255510
31252.0.60.0/23252.0.60.1 to 252.0.61.254252.0.61.255510
32252.0.62.0/23252.0.62.1 to 252.0.63.254252.0.63.255510
33252.0.64.0/23252.0.64.1 to 252.0.65.254252.0.65.255510
34252.0.66.0/23252.0.66.1 to 252.0.67.254252.0.67.255510
35252.0.68.0/23252.0.68.1 to 252.0.69.254252.0.69.255510
36252.0.70.0/23252.0.70.1 to 252.0.71.254252.0.71.255510
37252.0.72.0/23252.0.72.1 to 252.0.73.254252.0.73.255510
38252.0.74.0/23252.0.74.1 to 252.0.75.254252.0.75.255510
39252.0.76.0/23252.0.76.1 to 252.0.77.254252.0.77.255510
40252.0.78.0/23252.0.78.1 to 252.0.79.254252.0.79.255510
41252.0.80.0/23252.0.80.1 to 252.0.81.254252.0.81.255510
42252.0.82.0/23252.0.82.1 to 252.0.83.254252.0.83.255510
43252.0.84.0/23252.0.84.1 to 252.0.85.254252.0.85.255510
44252.0.86.0/23252.0.86.1 to 252.0.87.254252.0.87.255510
45252.0.88.0/23252.0.88.1 to 252.0.89.254252.0.89.255510
46252.0.90.0/23252.0.90.1 to 252.0.91.254252.0.91.255510
47252.0.92.0/23252.0.92.1 to 252.0.93.254252.0.93.255510
48252.0.94.0/23252.0.94.1 to 252.0.95.254252.0.95.255510
49252.0.96.0/23252.0.96.1 to 252.0.97.254252.0.97.255510
50252.0.98.0/23252.0.98.1 to 252.0.99.254252.0.99.255510
51252.0.100.0/23252.0.100.1 to 252.0.101.254252.0.101.255510
52252.0.102.0/23252.0.102.1 to 252.0.103.254252.0.103.255510
53252.0.104.0/23252.0.104.1 to 252.0.105.254252.0.105.255510
54252.0.106.0/23252.0.106.1 to 252.0.107.254252.0.107.255510
55252.0.108.0/23252.0.108.1 to 252.0.109.254252.0.109.255510
56252.0.110.0/23252.0.110.1 to 252.0.111.254252.0.111.255510
57252.0.112.0/23252.0.112.1 to 252.0.113.254252.0.113.255510
58252.0.114.0/23252.0.114.1 to 252.0.115.254252.0.115.255510
59252.0.116.0/23252.0.116.1 to 252.0.117.254252.0.117.255510
60252.0.118.0/23252.0.118.1 to 252.0.119.254252.0.119.255510
61252.0.120.0/23252.0.120.1 to 252.0.121.254252.0.121.255510
62252.0.122.0/23252.0.122.1 to 252.0.123.254252.0.123.255510
63252.0.124.0/23252.0.124.1 to 252.0.125.254252.0.125.255510
64252.0.126.0/23252.0.126.1 to 252.0.127.254252.0.127.255510
65252.0.128.0/23252.0.128.1 to 252.0.129.254252.0.129.255510
66252.0.130.0/23252.0.130.1 to 252.0.131.254252.0.131.255510
67252.0.132.0/23252.0.132.1 to 252.0.133.254252.0.133.255510
68252.0.134.0/23252.0.134.1 to 252.0.135.254252.0.135.255510
69252.0.136.0/23252.0.136.1 to 252.0.137.254252.0.137.255510
70252.0.138.0/23252.0.138.1 to 252.0.139.254252.0.139.255510
71252.0.140.0/23252.0.140.1 to 252.0.141.254252.0.141.255510
72252.0.142.0/23252.0.142.1 to 252.0.143.254252.0.143.255510
73252.0.144.0/23252.0.144.1 to 252.0.145.254252.0.145.255510
74252.0.146.0/23252.0.146.1 to 252.0.147.254252.0.147.255510
75252.0.148.0/23252.0.148.1 to 252.0.149.254252.0.149.255510
76252.0.150.0/23252.0.150.1 to 252.0.151.254252.0.151.255510
77252.0.152.0/23252.0.152.1 to 252.0.153.254252.0.153.255510
78252.0.154.0/23252.0.154.1 to 252.0.155.254252.0.155.255510
79252.0.156.0/23252.0.156.1 to 252.0.157.254252.0.157.255510
80252.0.158.0/23252.0.158.1 to 252.0.159.254252.0.159.255510
81252.0.160.0/23252.0.160.1 to 252.0.161.254252.0.161.255510
82252.0.162.0/23252.0.162.1 to 252.0.163.254252.0.163.255510
83252.0.164.0/23252.0.164.1 to 252.0.165.254252.0.165.255510
84252.0.166.0/23252.0.166.1 to 252.0.167.254252.0.167.255510
85252.0.168.0/23252.0.168.1 to 252.0.169.254252.0.169.255510
86252.0.170.0/23252.0.170.1 to 252.0.171.254252.0.171.255510
87252.0.172.0/23252.0.172.1 to 252.0.173.254252.0.173.255510
88252.0.174.0/23252.0.174.1 to 252.0.175.254252.0.175.255510
89252.0.176.0/23252.0.176.1 to 252.0.177.254252.0.177.255510
90252.0.178.0/23252.0.178.1 to 252.0.179.254252.0.179.255510
91252.0.180.0/23252.0.180.1 to 252.0.181.254252.0.181.255510
92252.0.182.0/23252.0.182.1 to 252.0.183.254252.0.183.255510
93252.0.184.0/23252.0.184.1 to 252.0.185.254252.0.185.255510
94252.0.186.0/23252.0.186.1 to 252.0.187.254252.0.187.255510
95252.0.188.0/23252.0.188.1 to 252.0.189.254252.0.189.255510
96252.0.190.0/23252.0.190.1 to 252.0.191.254252.0.191.255510
97252.0.192.0/23252.0.192.1 to 252.0.193.254252.0.193.255510
98252.0.194.0/23252.0.194.1 to 252.0.195.254252.0.195.255510
99252.0.196.0/23252.0.196.1 to 252.0.197.254252.0.197.255510
100252.0.198.0/23252.0.198.1 to 252.0.199.254252.0.199.255510
101252.0.200.0/23252.0.200.1 to 252.0.201.254252.0.201.255510
102252.0.202.0/23252.0.202.1 to 252.0.203.254252.0.203.255510
103252.0.204.0/23252.0.204.1 to 252.0.205.254252.0.205.255510
104252.0.206.0/23252.0.206.1 to 252.0.207.254252.0.207.255510
105252.0.208.0/23252.0.208.1 to 252.0.209.254252.0.209.255510
106252.0.210.0/23252.0.210.1 to 252.0.211.254252.0.211.255510
107252.0.212.0/23252.0.212.1 to 252.0.213.254252.0.213.255510
108252.0.214.0/23252.0.214.1 to 252.0.215.254252.0.215.255510
109252.0.216.0/23252.0.216.1 to 252.0.217.254252.0.217.255510
110252.0.218.0/23252.0.218.1 to 252.0.219.254252.0.219.255510
111252.0.220.0/23252.0.220.1 to 252.0.221.254252.0.221.255510
112252.0.222.0/23252.0.222.1 to 252.0.223.254252.0.223.255510
113252.0.224.0/23252.0.224.1 to 252.0.225.254252.0.225.255510
114252.0.226.0/23252.0.226.1 to 252.0.227.254252.0.227.255510
115252.0.228.0/23252.0.228.1 to 252.0.229.254252.0.229.255510
116252.0.230.0/23252.0.230.1 to 252.0.231.254252.0.231.255510
117252.0.232.0/23252.0.232.1 to 252.0.233.254252.0.233.255510
118252.0.234.0/23252.0.234.1 to 252.0.235.254252.0.235.255510
119252.0.236.0/23252.0.236.1 to 252.0.237.254252.0.237.255510
120252.0.238.0/23252.0.238.1 to 252.0.239.254252.0.239.255510
121252.0.240.0/23252.0.240.1 to 252.0.241.254252.0.241.255510
122252.0.242.0/23252.0.242.1 to 252.0.243.254252.0.243.255510
123252.0.244.0/23252.0.244.1 to 252.0.245.254252.0.245.255510
124252.0.246.0/23252.0.246.1 to 252.0.247.254252.0.247.255510
125252.0.248.0/23252.0.248.1 to 252.0.249.254252.0.249.255510
126252.0.250.0/23252.0.250.1 to 252.0.251.254252.0.251.255510
127252.0.252.0/23252.0.252.1 to 252.0.253.254252.0.253.255510
128252.0.254.0/23252.0.254.1 to 252.0.255.254252.0.255.255510
129252.1.0.0/23252.1.0.1 to 252.1.1.254252.1.1.255510
130252.1.2.0/23252.1.2.1 to 252.1.3.254252.1.3.255510
131252.1.4.0/23252.1.4.1 to 252.1.5.254252.1.5.255510
132252.1.6.0/23252.1.6.1 to 252.1.7.254252.1.7.255510
133252.1.8.0/23252.1.8.1 to 252.1.9.254252.1.9.255510
134252.1.10.0/23252.1.10.1 to 252.1.11.254252.1.11.255510
135252.1.12.0/23252.1.12.1 to 252.1.13.254252.1.13.255510
136252.1.14.0/23252.1.14.1 to 252.1.15.254252.1.15.255510
137252.1.16.0/23252.1.16.1 to 252.1.17.254252.1.17.255510
138252.1.18.0/23252.1.18.1 to 252.1.19.254252.1.19.255510
139252.1.20.0/23252.1.20.1 to 252.1.21.254252.1.21.255510
140252.1.22.0/23252.1.22.1 to 252.1.23.254252.1.23.255510
141252.1.24.0/23252.1.24.1 to 252.1.25.254252.1.25.255510
142252.1.26.0/23252.1.26.1 to 252.1.27.254252.1.27.255510
143252.1.28.0/23252.1.28.1 to 252.1.29.254252.1.29.255510
144252.1.30.0/23252.1.30.1 to 252.1.31.254252.1.31.255510
145252.1.32.0/23252.1.32.1 to 252.1.33.254252.1.33.255510
146252.1.34.0/23252.1.34.1 to 252.1.35.254252.1.35.255510
147252.1.36.0/23252.1.36.1 to 252.1.37.254252.1.37.255510
148252.1.38.0/23252.1.38.1 to 252.1.39.254252.1.39.255510
149252.1.40.0/23252.1.40.1 to 252.1.41.254252.1.41.255510
150252.1.42.0/23252.1.42.1 to 252.1.43.254252.1.43.255510
151252.1.44.0/23252.1.44.1 to 252.1.45.254252.1.45.255510
152252.1.46.0/23252.1.46.1 to 252.1.47.254252.1.47.255510
153252.1.48.0/23252.1.48.1 to 252.1.49.254252.1.49.255510
154252.1.50.0/23252.1.50.1 to 252.1.51.254252.1.51.255510
155252.1.52.0/23252.1.52.1 to 252.1.53.254252.1.53.255510
156252.1.54.0/23252.1.54.1 to 252.1.55.254252.1.55.255510
157252.1.56.0/23252.1.56.1 to 252.1.57.254252.1.57.255510
158252.1.58.0/23252.1.58.1 to 252.1.59.254252.1.59.255510
159252.1.60.0/23252.1.60.1 to 252.1.61.254252.1.61.255510
160252.1.62.0/23252.1.62.1 to 252.1.63.254252.1.63.255510
161252.1.64.0/23252.1.64.1 to 252.1.65.254252.1.65.255510
162252.1.66.0/23252.1.66.1 to 252.1.67.254252.1.67.255510
163252.1.68.0/23252.1.68.1 to 252.1.69.254252.1.69.255510
164252.1.70.0/23252.1.70.1 to 252.1.71.254252.1.71.255510
165252.1.72.0/23252.1.72.1 to 252.1.73.254252.1.73.255510
166252.1.74.0/23252.1.74.1 to 252.1.75.254252.1.75.255510
167252.1.76.0/23252.1.76.1 to 252.1.77.254252.1.77.255510
168252.1.78.0/23252.1.78.1 to 252.1.79.254252.1.79.255510
169252.1.80.0/23252.1.80.1 to 252.1.81.254252.1.81.255510
170252.1.82.0/23252.1.82.1 to 252.1.83.254252.1.83.255510
171252.1.84.0/23252.1.84.1 to 252.1.85.254252.1.85.255510
172252.1.86.0/23252.1.86.1 to 252.1.87.254252.1.87.255510
173252.1.88.0/23252.1.88.1 to 252.1.89.254252.1.89.255510
174252.1.90.0/23252.1.90.1 to 252.1.91.254252.1.91.255510
175252.1.92.0/23252.1.92.1 to 252.1.93.254252.1.93.255510
176252.1.94.0/23252.1.94.1 to 252.1.95.254252.1.95.255510
177252.1.96.0/23252.1.96.1 to 252.1.97.254252.1.97.255510
178252.1.98.0/23252.1.98.1 to 252.1.99.254252.1.99.255510
179252.1.100.0/23252.1.100.1 to 252.1.101.254252.1.101.255510
180252.1.102.0/23252.1.102.1 to 252.1.103.254252.1.103.255510
181252.1.104.0/23252.1.104.1 to 252.1.105.254252.1.105.255510
182252.1.106.0/23252.1.106.1 to 252.1.107.254252.1.107.255510
183252.1.108.0/23252.1.108.1 to 252.1.109.254252.1.109.255510
184252.1.110.0/23252.1.110.1 to 252.1.111.254252.1.111.255510
185252.1.112.0/23252.1.112.1 to 252.1.113.254252.1.113.255510
186252.1.114.0/23252.1.114.1 to 252.1.115.254252.1.115.255510
187252.1.116.0/23252.1.116.1 to 252.1.117.254252.1.117.255510
188252.1.118.0/23252.1.118.1 to 252.1.119.254252.1.119.255510
189252.1.120.0/23252.1.120.1 to 252.1.121.254252.1.121.255510
190252.1.122.0/23252.1.122.1 to 252.1.123.254252.1.123.255510
191252.1.124.0/23252.1.124.1 to 252.1.125.254252.1.125.255510
192252.1.126.0/23252.1.126.1 to 252.1.127.254252.1.127.255510
193252.1.128.0/23252.1.128.1 to 252.1.129.254252.1.129.255510
194252.1.130.0/23252.1.130.1 to 252.1.131.254252.1.131.255510
195252.1.132.0/23252.1.132.1 to 252.1.133.254252.1.133.255510
196252.1.134.0/23252.1.134.1 to 252.1.135.254252.1.135.255510
197252.1.136.0/23252.1.136.1 to 252.1.137.254252.1.137.255510
198252.1.138.0/23252.1.138.1 to 252.1.139.254252.1.139.255510
199252.1.140.0/23252.1.140.1 to 252.1.141.254252.1.141.255510
200252.1.142.0/23252.1.142.1 to 252.1.143.254252.1.143.255510
201252.1.144.0/23252.1.144.1 to 252.1.145.254252.1.145.255510
202252.1.146.0/23252.1.146.1 to 252.1.147.254252.1.147.255510
203252.1.148.0/23252.1.148.1 to 252.1.149.254252.1.149.255510
204252.1.150.0/23252.1.150.1 to 252.1.151.254252.1.151.255510
205252.1.152.0/23252.1.152.1 to 252.1.153.254252.1.153.255510
206252.1.154.0/23252.1.154.1 to 252.1.155.254252.1.155.255510
207252.1.156.0/23252.1.156.1 to 252.1.157.254252.1.157.255510
208252.1.158.0/23252.1.158.1 to 252.1.159.254252.1.159.255510
209252.1.160.0/23252.1.160.1 to 252.1.161.254252.1.161.255510
210252.1.162.0/23252.1.162.1 to 252.1.163.254252.1.163.255510
211252.1.164.0/23252.1.164.1 to 252.1.165.254252.1.165.255510
212252.1.166.0/23252.1.166.1 to 252.1.167.254252.1.167.255510
213252.1.168.0/23252.1.168.1 to 252.1.169.254252.1.169.255510
214252.1.170.0/23252.1.170.1 to 252.1.171.254252.1.171.255510
215252.1.172.0/23252.1.172.1 to 252.1.173.254252.1.173.255510
216252.1.174.0/23252.1.174.1 to 252.1.175.254252.1.175.255510
217252.1.176.0/23252.1.176.1 to 252.1.177.254252.1.177.255510
218252.1.178.0/23252.1.178.1 to 252.1.179.254252.1.179.255510
219252.1.180.0/23252.1.180.1 to 252.1.181.254252.1.181.255510
220252.1.182.0/23252.1.182.1 to 252.1.183.254252.1.183.255510
221252.1.184.0/23252.1.184.1 to 252.1.185.254252.1.185.255510
222252.1.186.0/23252.1.186.1 to 252.1.187.254252.1.187.255510
223252.1.188.0/23252.1.188.1 to 252.1.189.254252.1.189.255510
224252.1.190.0/23252.1.190.1 to 252.1.191.254252.1.191.255510
225252.1.192.0/23252.1.192.1 to 252.1.193.254252.1.193.255510
226252.1.194.0/23252.1.194.1 to 252.1.195.254252.1.195.255510
227252.1.196.0/23252.1.196.1 to 252.1.197.254252.1.197.255510
228252.1.198.0/23252.1.198.1 to 252.1.199.254252.1.199.255510
229252.1.200.0/23252.1.200.1 to 252.1.201.254252.1.201.255510
230252.1.202.0/23252.1.202.1 to 252.1.203.254252.1.203.255510
231252.1.204.0/23252.1.204.1 to 252.1.205.254252.1.205.255510
232252.1.206.0/23252.1.206.1 to 252.1.207.254252.1.207.255510
233252.1.208.0/23252.1.208.1 to 252.1.209.254252.1.209.255510
234252.1.210.0/23252.1.210.1 to 252.1.211.254252.1.211.255510
235252.1.212.0/23252.1.212.1 to 252.1.213.254252.1.213.255510
236252.1.214.0/23252.1.214.1 to 252.1.215.254252.1.215.255510
237252.1.216.0/23252.1.216.1 to 252.1.217.254252.1.217.255510
238252.1.218.0/23252.1.218.1 to 252.1.219.254252.1.219.255510
239252.1.220.0/23252.1.220.1 to 252.1.221.254252.1.221.255510
240252.1.222.0/23252.1.222.1 to 252.1.223.254252.1.223.255510
241252.1.224.0/23252.1.224.1 to 252.1.225.254252.1.225.255510
242252.1.226.0/23252.1.226.1 to 252.1.227.254252.1.227.255510
243252.1.228.0/23252.1.228.1 to 252.1.229.254252.1.229.255510
244252.1.230.0/23252.1.230.1 to 252.1.231.254252.1.231.255510
245252.1.232.0/23252.1.232.1 to 252.1.233.254252.1.233.255510
246252.1.234.0/23252.1.234.1 to 252.1.235.254252.1.235.255510
247252.1.236.0/23252.1.236.1 to 252.1.237.254252.1.237.255510
248252.1.238.0/23252.1.238.1 to 252.1.239.254252.1.239.255510
249252.1.240.0/23252.1.240.1 to 252.1.241.254252.1.241.255510
250252.1.242.0/23252.1.242.1 to 252.1.243.254252.1.243.255510
251252.1.244.0/23252.1.244.1 to 252.1.245.254252.1.245.255510
252252.1.246.0/23252.1.246.1 to 252.1.247.254252.1.247.255510
253252.1.248.0/23252.1.248.1 to 252.1.249.254252.1.249.255510
254252.1.250.0/23252.1.250.1 to 252.1.251.254252.1.251.255510
255252.1.252.0/23252.1.252.1 to 252.1.253.254252.1.253.255510
256252.1.254.0/23252.1.254.1 to 252.1.255.254252.1.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses